#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		_fontsdir	%{_datadir}/fonts/type

#-----------------------------------------------------------------------------
Name		:	fonts-type1-urw
Version		:	1.0.7pre44
Release		:	14.8.0.0%{?dist}
Summary		:	Free versions of the 35 standard PostScript fonts

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2
 
URL		:	ftp://ftp.gnome.ru/fonts/urw/release

Source0		:	urw-fonts-%{version}.tar.bz2

#-----------------------------------------------------------------------------
BuildRequires	:	findutils
BuildRequires	:	mkfontscale

Requires	:	fontconfig
BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
Free, good quality versions of the 35 standard PostScript(TM) fonts,
donated under the GPL by URW++ Design and Development GmbH.  The
fonts.dir file font names match the original Adobe names of the fonts
(e.g., Times, Helvetica, etc.).

This package also have cyrillic glyphs in basic fonts, added by
Valentin Filippov.

Install the %name package if you need free versions of standard
PostScript fonts

#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%doc ChangeLog README*
%{_sysconfdir}/X11/fontpath.d/*
%{_fontsdir}/urw

%post
%{_bindir}/fc-cache %{_fontsdir}/urw ||:

#=============================================================================
%prep
%setup -c -n fonts

#-----------------------------------------------------------------------------
#building application
%build

#-----------------------------------------------------------------------------
#install fonts
%install
%{__rm} -rf %{buildroot}

install -m 0755 -d %{buildroot}%{_fontsdir}/urw
find -name \*.\?f\? -print -exec cp -t %{buildroot}%{_fontsdir}/urw/ {} \;
mkfontscale %{buildroot}%{_fontsdir}/urw
%{__ln_s}							\
	fonts.scale						\
	%{buildroot}%{_fontsdir}/urw/fonts.dir


install -m 0755 -d %{buildroot}%{_sysconfdir}/X11/fontpath.d
%{__ln_s}							\
	../../..%_fontsdir/urw					\
	%{buildroot}%{_sysconfdir}/X11/fontpath.d/40-type1-urw

#-----------------------------------------------------------------------------
%changelog
